### Function

# GModule Module open

#### Declaration [src]

    GModule*
    g_module_open (
      const gchar* file_name,
      GModuleFlags flags
    )

#### Description [src]

A thin wrapper function around g_module_open_full().

This function is not directly available to language bindings.

#### Parameters

`file_name`

  Type: `const gchar*`

  The name or path to the file containing the module, or `NULL` to obtain a `GModule` representing the main program itself.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GModuleFlags`

  The flags used for opening the module. This can be the logical OR of any of the `GModuleFlags`.

#### Return value

Type: `GModule`

A `GModule` on success, or `NULL` on failure.

The data is owned by the called function.